--
-- Copyright (c) 2011, Everit Kft.
--
-- All rights reserved.
--
-- This library is free software; you can redistribute it and/or
-- modify it under the terms of the GNU Lesser General Public
-- License as published by the Free Software Foundation; either
-- version 3 of the License, or (at your option) any later version.
--
-- This library is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
-- Lesser General Public License for more details.
--
-- You should have received a copy of the GNU Lesser General Public
-- License along with this library; if not, write to the Free Software
-- Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
-- MA 02110-1301  USA
--

--
-- Create script for the DEMO webapplication.
--

-- Started on 2012-03-12 09:42:41

SET client_encoding = 'UTF8';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;


SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- TOC entry 1511 (class 1259 OID 104074)
-- Dependencies: 3
-- Name: authc_authenticated_resource; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE authc_authenticated_resource (
    authenticated_resource_id bigint NOT NULL,
    active boolean NOT NULL,
    credential character varying(255),
    locale character varying(255),
    principal character varying(255) NOT NULL,
    resource_id bigint
);


--
-- TOC entry 1512 (class 1259 OID 104084)
-- Dependencies: 3
-- Name: authc_authentication_config; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE authc_authentication_config (
    authentication_config_id bigint NOT NULL,
    type_ character varying(255) NOT NULL,
    authenticated_resource_id bigint NOT NULL
);


--
-- TOC entry 1513 (class 1259 OID 104091)
-- Dependencies: 3
-- Name: authc_forgot_credential_change_request; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE authc_forgot_credential_change_request (
    request_key character varying(255) NOT NULL,
    expiration timestamp without time zone NOT NULL,
    authenticated_resource_id bigint NOT NULL
);


--
-- TOC entry 1507 (class 1259 OID 104047)
-- Dependencies: 3
-- Name: authr_action_mapping; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE authr_action_mapping (
    permission_id bigint NOT NULL,
    action character varying(255) NOT NULL,
    authorized_resource_type_id bigint NOT NULL,
    target_resource_type_id bigint NOT NULL
);


--
-- TOC entry 1505 (class 1259 OID 104037)
-- Dependencies: 3
-- Name: authr_perm_inheritance; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE authr_perm_inheritance (
    authr_perm_inherit_id bigint NOT NULL,
    child_resource bigint NOT NULL,
    parent_resource bigint NOT NULL
);


--
-- TOC entry 1506 (class 1259 OID 104042)
-- Dependencies: 3
-- Name: authr_permission; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE authr_permission (
    permission_id bigint NOT NULL,
    action character varying(255) NOT NULL,
    authorized_resource bigint NOT NULL,
    target_resource bigint NOT NULL
);


--
-- TOC entry 1509 (class 1259 OID 104057)
-- Dependencies: 3
-- Name: authr_role; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE authr_role (
    role_id bigint NOT NULL,
    role_name character varying(255) NOT NULL,
    resource_id bigint NOT NULL
);


--
-- TOC entry 1508 (class 1259 OID 104052)
-- Dependencies: 3
-- Name: authr_sample; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE authr_sample (
    sampleid bigint NOT NULL,
    display_name character varying(255) NOT NULL,
    sample_resource bigint NOT NULL
);


--
-- TOC entry 1520 (class 1259 OID 104144)
-- Dependencies: 3
-- Name: demo_tag; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE demo_tag (
    demo_id bigint NOT NULL,
    demo_entity_name character varying(255) NOT NULL,
    resource_id bigint NOT NULL
);


--
-- TOC entry 1522 (class 1259 OID 104156)
-- Dependencies: 3
-- Name: demo_tag_t_tag; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE demo_tag_t_tag (
    demo_demo_id bigint NOT NULL,
    demoentitytags_tag_id bigint NOT NULL
);


--
-- TOC entry 1518 (class 1259 OID 104129)
-- Dependencies: 3
-- Name: loc_localized_data; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE loc_localized_data (
    localized_data_id bigint NOT NULL,
    binary_value bytea,
    data_type character varying(255) NOT NULL,
    default_locale boolean NOT NULL,
    key_ character varying(255) NOT NULL,
    locale_ character varying(10) NOT NULL,
    mime_type character varying(100),
    string_value character varying(2000),
    version_ bigint
);


--
-- TOC entry 1517 (class 1259 OID 104121)
-- Dependencies: 3
-- Name: res_external_resource; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE res_external_resource (
    external_resource_id bigint NOT NULL,
    external_id character varying(1024) NOT NULL,
    external_system_name character varying(1024) NOT NULL,
    resource_id bigint
);


--
-- TOC entry 1516 (class 1259 OID 104113)
-- Dependencies: 3
-- Name: res_res_attr; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE res_res_attr (
    res_attr_id bigint NOT NULL,
    attribute_key character varying(255) NOT NULL,
    attribute_type character varying(255) NOT NULL,
    binary_value bytea,
    number_value double precision,
    string_value character varying(2000),
    text_value text,
    timestamp_value timestamp without time zone,
    version_ bigint,
    resource_id bigint
);


--
-- TOC entry 1515 (class 1259 OID 104108)
-- Dependencies: 3
-- Name: res_resource; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE res_resource (
    resource_id bigint NOT NULL
);


--
-- TOC entry 1514 (class 1259 OID 104098)
-- Dependencies: 3
-- Name: res_resource_type; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE res_resource_type (
    resource_type_id bigint NOT NULL,
    resource_type_name character varying(1024) NOT NULL,
    resource_id bigint NOT NULL
);


--
-- TOC entry 1521 (class 1259 OID 104151)
-- Dependencies: 3
-- Name: res_resource_typing; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE res_resource_typing (
    resource_id bigint NOT NULL,
    resource_type_id bigint NOT NULL
);


--
-- TOC entry 1523 (class 1259 OID 104280)
-- Dependencies: 3
-- Name: sequence; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE sequence (
    seq_name character varying(50) NOT NULL,
    seq_count numeric(38,0)
);


--
-- TOC entry 1510 (class 1259 OID 104064)
-- Dependencies: 3
-- Name: sweb_page; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE sweb_page (
    page_id bigint NOT NULL,
    name_ character varying(1024) NOT NULL,
    resource_id bigint NOT NULL
);


--
-- TOC entry 1519 (class 1259 OID 104137)
-- Dependencies: 3
-- Name: t_tag; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE t_tag (
    tag_id bigint NOT NULL,
    tag_name character varying(255) NOT NULL,
    resource_id bigint NOT NULL
);


--
-- TOC entry 1815 (class 2606 OID 104081)
-- Dependencies: 1511 1511
-- Name: authc_authenticated_resource_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY authc_authenticated_resource
    ADD CONSTRAINT authc_authenticated_resource_pkey PRIMARY KEY (authenticated_resource_id);


--
-- TOC entry 1817 (class 2606 OID 104083)
-- Dependencies: 1511 1511
-- Name: authc_authenticated_resource_principal_key; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY authc_authenticated_resource
    ADD CONSTRAINT authc_authenticated_resource_principal_key UNIQUE (principal);


--
-- TOC entry 1819 (class 2606 OID 104088)
-- Dependencies: 1512 1512
-- Name: authc_authentication_config_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY authc_authentication_config
    ADD CONSTRAINT authc_authentication_config_pkey PRIMARY KEY (authentication_config_id);


--
-- TOC entry 1821 (class 2606 OID 104090)
-- Dependencies: 1512 1512
-- Name: authc_authentication_config_type__key; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY authc_authentication_config
    ADD CONSTRAINT authc_authentication_config_type__key UNIQUE (type_);


--
-- TOC entry 1823 (class 2606 OID 104097)
-- Dependencies: 1513 1513
-- Name: authc_forgot_credential_change_re_authenticated_resource_id_key; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY authc_forgot_credential_change_request
    ADD CONSTRAINT authc_forgot_credential_change_re_authenticated_resource_id_key UNIQUE (authenticated_resource_id);


--
-- TOC entry 1825 (class 2606 OID 104095)
-- Dependencies: 1513 1513
-- Name: authc_forgot_credential_change_request_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY authc_forgot_credential_change_request
    ADD CONSTRAINT authc_forgot_credential_change_request_pkey PRIMARY KEY (request_key);


--
-- TOC entry 1799 (class 2606 OID 104051)
-- Dependencies: 1507 1507
-- Name: authr_action_mapping_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY authr_action_mapping
    ADD CONSTRAINT authr_action_mapping_pkey PRIMARY KEY (permission_id);


--
-- TOC entry 1791 (class 2606 OID 104041)
-- Dependencies: 1505 1505
-- Name: authr_perm_inheritance_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY authr_perm_inheritance
    ADD CONSTRAINT authr_perm_inheritance_pkey PRIMARY KEY (authr_perm_inherit_id);


--
-- TOC entry 1795 (class 2606 OID 104046)
-- Dependencies: 1506 1506
-- Name: authr_permission_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY authr_permission
    ADD CONSTRAINT authr_permission_pkey PRIMARY KEY (permission_id);


--
-- TOC entry 1805 (class 2606 OID 104061)
-- Dependencies: 1509 1509
-- Name: authr_role_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY authr_role
    ADD CONSTRAINT authr_role_pkey PRIMARY KEY (role_id);


--
-- TOC entry 1807 (class 2606 OID 104063)
-- Dependencies: 1509 1509
-- Name: authr_role_role_name_key; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY authr_role
    ADD CONSTRAINT authr_role_role_name_key UNIQUE (role_name);


--
-- TOC entry 1803 (class 2606 OID 104056)
-- Dependencies: 1508 1508
-- Name: authr_sample_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY authr_sample
    ADD CONSTRAINT authr_sample_pkey PRIMARY KEY (sampleid);


--
-- TOC entry 1849 (class 2606 OID 104148)
-- Dependencies: 1520 1520
-- Name: demo_tag_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY demo_tag
    ADD CONSTRAINT demo_tag_pkey PRIMARY KEY (demo_id);


--
-- TOC entry 1851 (class 2606 OID 104150)
-- Dependencies: 1520 1520
-- Name: demo_tag_resource_id_key; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY demo_tag
    ADD CONSTRAINT demo_tag_resource_id_key UNIQUE (resource_id);


--
-- TOC entry 1855 (class 2606 OID 104160)
-- Dependencies: 1522 1522 1522
-- Name: demo_tag_t_tag_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY demo_tag_t_tag
    ADD CONSTRAINT demo_tag_t_tag_pkey PRIMARY KEY (demo_demo_id, demoentitytags_tag_id);


--
-- TOC entry 1841 (class 2606 OID 104136)
-- Dependencies: 1518 1518
-- Name: loc_localized_data_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY loc_localized_data
    ADD CONSTRAINT loc_localized_data_pkey PRIMARY KEY (localized_data_id);


--
-- TOC entry 1837 (class 2606 OID 104128)
-- Dependencies: 1517 1517
-- Name: res_external_resource_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY res_external_resource
    ADD CONSTRAINT res_external_resource_pkey PRIMARY KEY (external_resource_id);


--
-- TOC entry 1833 (class 2606 OID 104120)
-- Dependencies: 1516 1516
-- Name: res_res_attr_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY res_res_attr
    ADD CONSTRAINT res_res_attr_pkey PRIMARY KEY (res_attr_id);


--
-- TOC entry 1831 (class 2606 OID 104112)
-- Dependencies: 1515 1515
-- Name: res_resource_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY res_resource
    ADD CONSTRAINT res_resource_pkey PRIMARY KEY (resource_id);


--
-- TOC entry 1827 (class 2606 OID 104105)
-- Dependencies: 1514 1514
-- Name: res_resource_type_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY res_resource_type
    ADD CONSTRAINT res_resource_type_pkey PRIMARY KEY (resource_type_id);


--
-- TOC entry 1829 (class 2606 OID 104107)
-- Dependencies: 1514 1514
-- Name: res_resource_type_resource_type_name_key; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY res_resource_type
    ADD CONSTRAINT res_resource_type_resource_type_name_key UNIQUE (resource_type_name);


--
-- TOC entry 1853 (class 2606 OID 104155)
-- Dependencies: 1521 1521 1521
-- Name: res_resource_typing_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY res_resource_typing
    ADD CONSTRAINT res_resource_typing_pkey PRIMARY KEY (resource_id, resource_type_id);


--
-- TOC entry 1857 (class 2606 OID 104284)
-- Dependencies: 1523 1523
-- Name: sequence_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY sequence
    ADD CONSTRAINT sequence_pkey PRIMARY KEY (seq_name);


--
-- TOC entry 1811 (class 2606 OID 104073)
-- Dependencies: 1510 1510
-- Name: sweb_page_name__key; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY sweb_page
    ADD CONSTRAINT sweb_page_name__key UNIQUE (name_);


--
-- TOC entry 1813 (class 2606 OID 104071)
-- Dependencies: 1510 1510
-- Name: sweb_page_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY sweb_page
    ADD CONSTRAINT sweb_page_pkey PRIMARY KEY (page_id);


--
-- TOC entry 1845 (class 2606 OID 104141)
-- Dependencies: 1519 1519
-- Name: t_tag_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY t_tag
    ADD CONSTRAINT t_tag_pkey PRIMARY KEY (tag_id);


--
-- TOC entry 1847 (class 2606 OID 104143)
-- Dependencies: 1519 1519
-- Name: t_tag_resource_id_key; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY t_tag
    ADD CONSTRAINT t_tag_resource_id_key UNIQUE (resource_id);


--
-- TOC entry 1801 (class 2606 OID 104166)
-- Dependencies: 1507 1507 1507
-- Name: unq_authr_action_mapping_0; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY authr_action_mapping
    ADD CONSTRAINT unq_authr_action_mapping_0 UNIQUE (action, authorized_resource_type_id);


--
-- TOC entry 1793 (class 2606 OID 104162)
-- Dependencies: 1505 1505 1505
-- Name: unq_authr_perm_inheritance_0; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY authr_perm_inheritance
    ADD CONSTRAINT unq_authr_perm_inheritance_0 UNIQUE (parent_resource, child_resource);


--
-- TOC entry 1797 (class 2606 OID 104164)
-- Dependencies: 1506 1506 1506 1506
-- Name: unq_authr_permission_0; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY authr_permission
    ADD CONSTRAINT unq_authr_permission_0 UNIQUE (authorized_resource, action, target_resource);


--
-- TOC entry 1809 (class 2606 OID 104168)
-- Dependencies: 1509 1509
-- Name: unq_authr_role_0; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY authr_role
    ADD CONSTRAINT unq_authr_role_0 UNIQUE (role_name);


--
-- TOC entry 1843 (class 2606 OID 104174)
-- Dependencies: 1518 1518 1518
-- Name: unq_loc_localized_data_0; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY loc_localized_data
    ADD CONSTRAINT unq_loc_localized_data_0 UNIQUE (key_, locale_);


--
-- TOC entry 1839 (class 2606 OID 104172)
-- Dependencies: 1517 1517 1517
-- Name: unq_res_external_resource_0; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY res_external_resource
    ADD CONSTRAINT unq_res_external_resource_0 UNIQUE (external_system_name, external_id);


--
-- TOC entry 1835 (class 2606 OID 104170)
-- Dependencies: 1516 1516 1516
-- Name: unq_res_res_attr_0; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY res_res_attr
    ADD CONSTRAINT unq_res_res_attr_0 UNIQUE (resource_id, attribute_key);


--
-- TOC entry 1869 (class 2606 OID 104230)
-- Dependencies: 1511 1513 1814
-- Name: authc_forgot_credential_change_requestauthenticated_resource_id; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY authc_forgot_credential_change_request
    ADD CONSTRAINT authc_forgot_credential_change_requestauthenticated_resource_id FOREIGN KEY (authenticated_resource_id) REFERENCES authc_authenticated_resource(authenticated_resource_id);


--
-- TOC entry 1867 (class 2606 OID 104220)
-- Dependencies: 1511 1515 1830
-- Name: fk_authc_authenticated_resource_resource_id; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY authc_authenticated_resource
    ADD CONSTRAINT fk_authc_authenticated_resource_resource_id FOREIGN KEY (resource_id) REFERENCES res_resource(resource_id);


--
-- TOC entry 1868 (class 2606 OID 104225)
-- Dependencies: 1814 1512 1511
-- Name: fk_authc_authentication_config_authenticated_resource_id; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY authc_authentication_config
    ADD CONSTRAINT fk_authc_authentication_config_authenticated_resource_id FOREIGN KEY (authenticated_resource_id) REFERENCES authc_authenticated_resource(authenticated_resource_id);


--
-- TOC entry 1862 (class 2606 OID 104195)
-- Dependencies: 1507 1514 1826
-- Name: fk_authr_action_mapping_authorized_resource_type_id; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY authr_action_mapping
    ADD CONSTRAINT fk_authr_action_mapping_authorized_resource_type_id FOREIGN KEY (authorized_resource_type_id) REFERENCES res_resource_type(resource_type_id);


--
-- TOC entry 1863 (class 2606 OID 104200)
-- Dependencies: 1514 1507 1826
-- Name: fk_authr_action_mapping_target_resource_type_id; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY authr_action_mapping
    ADD CONSTRAINT fk_authr_action_mapping_target_resource_type_id FOREIGN KEY (target_resource_type_id) REFERENCES res_resource_type(resource_type_id);


--
-- TOC entry 1858 (class 2606 OID 104175)
-- Dependencies: 1515 1830 1505
-- Name: fk_authr_perm_inheritance_child_resource; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY authr_perm_inheritance
    ADD CONSTRAINT fk_authr_perm_inheritance_child_resource FOREIGN KEY (child_resource) REFERENCES res_resource(resource_id);


--
-- TOC entry 1859 (class 2606 OID 104180)
-- Dependencies: 1515 1830 1505
-- Name: fk_authr_perm_inheritance_parent_resource; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY authr_perm_inheritance
    ADD CONSTRAINT fk_authr_perm_inheritance_parent_resource FOREIGN KEY (parent_resource) REFERENCES res_resource(resource_id);


--
-- TOC entry 1861 (class 2606 OID 104190)
-- Dependencies: 1506 1515 1830
-- Name: fk_authr_permission_authorized_resource; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY authr_permission
    ADD CONSTRAINT fk_authr_permission_authorized_resource FOREIGN KEY (authorized_resource) REFERENCES res_resource(resource_id);


--
-- TOC entry 1860 (class 2606 OID 104185)
-- Dependencies: 1515 1830 1506
-- Name: fk_authr_permission_target_resource; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY authr_permission
    ADD CONSTRAINT fk_authr_permission_target_resource FOREIGN KEY (target_resource) REFERENCES res_resource(resource_id);


--
-- TOC entry 1865 (class 2606 OID 104210)
-- Dependencies: 1515 1509 1830
-- Name: fk_authr_role_resource_id; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY authr_role
    ADD CONSTRAINT fk_authr_role_resource_id FOREIGN KEY (resource_id) REFERENCES res_resource(resource_id);


--
-- TOC entry 1864 (class 2606 OID 104205)
-- Dependencies: 1830 1508 1515
-- Name: fk_authr_sample_sample_resource; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY authr_sample
    ADD CONSTRAINT fk_authr_sample_sample_resource FOREIGN KEY (sample_resource) REFERENCES res_resource(resource_id);


--
-- TOC entry 1874 (class 2606 OID 104255)
-- Dependencies: 1830 1520 1515
-- Name: fk_demo_tag_resource_id; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY demo_tag
    ADD CONSTRAINT fk_demo_tag_resource_id FOREIGN KEY (resource_id) REFERENCES res_resource(resource_id);


--
-- TOC entry 1878 (class 2606 OID 104275)
-- Dependencies: 1848 1522 1520
-- Name: fk_demo_tag_t_tag_demo_demo_id; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY demo_tag_t_tag
    ADD CONSTRAINT fk_demo_tag_t_tag_demo_demo_id FOREIGN KEY (demo_demo_id) REFERENCES demo_tag(demo_id);


--
-- TOC entry 1877 (class 2606 OID 104270)
-- Dependencies: 1844 1522 1519
-- Name: fk_demo_tag_t_tag_demoentitytags_tag_id; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY demo_tag_t_tag
    ADD CONSTRAINT fk_demo_tag_t_tag_demoentitytags_tag_id FOREIGN KEY (demoentitytags_tag_id) REFERENCES t_tag(tag_id);


--
-- TOC entry 1872 (class 2606 OID 104245)
-- Dependencies: 1515 1517 1830
-- Name: fk_res_external_resource_resource_id; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY res_external_resource
    ADD CONSTRAINT fk_res_external_resource_resource_id FOREIGN KEY (resource_id) REFERENCES res_resource(resource_id);


--
-- TOC entry 1871 (class 2606 OID 104240)
-- Dependencies: 1516 1830 1515
-- Name: fk_res_res_attr_resource_id; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY res_res_attr
    ADD CONSTRAINT fk_res_res_attr_resource_id FOREIGN KEY (resource_id) REFERENCES res_resource(resource_id);


--
-- TOC entry 1870 (class 2606 OID 104235)
-- Dependencies: 1830 1515 1514
-- Name: fk_res_resource_type_resource_id; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY res_resource_type
    ADD CONSTRAINT fk_res_resource_type_resource_id FOREIGN KEY (resource_id) REFERENCES res_resource(resource_id);


--
-- TOC entry 1875 (class 2606 OID 104260)
-- Dependencies: 1521 1515 1830
-- Name: fk_res_resource_typing_resource_id; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY res_resource_typing
    ADD CONSTRAINT fk_res_resource_typing_resource_id FOREIGN KEY (resource_id) REFERENCES res_resource(resource_id);


--
-- TOC entry 1876 (class 2606 OID 104265)
-- Dependencies: 1521 1826 1514
-- Name: fk_res_resource_typing_resource_type_id; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY res_resource_typing
    ADD CONSTRAINT fk_res_resource_typing_resource_type_id FOREIGN KEY (resource_type_id) REFERENCES res_resource_type(resource_type_id);


--
-- TOC entry 1866 (class 2606 OID 104215)
-- Dependencies: 1830 1510 1515
-- Name: fk_sweb_page_resource_id; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY sweb_page
    ADD CONSTRAINT fk_sweb_page_resource_id FOREIGN KEY (resource_id) REFERENCES res_resource(resource_id);


--
-- TOC entry 1873 (class 2606 OID 104250)
-- Dependencies: 1830 1519 1515
-- Name: fk_t_tag_resource_id; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY t_tag
    ADD CONSTRAINT fk_t_tag_resource_id FOREIGN KEY (resource_id) REFERENCES res_resource(resource_id);




-- Completed on 2012-03-12 09:42:41

--
-- PostgreSQL database dump complete
--
INSERT INTO sequence VALUES ('SEQ_GEN', 0);
